# OpenLayers.Protocol.SOS.v1_0_0

An SOS v1.0.0 Protocol for vector layers. Create a new instance with the OpenLayers.Protocol.SOS.v1_0_0 constructor.

#### Inherits from

- OpenLayers.Protocol

Summary

OpenLayers.Protocol.SOS.v1_0_0 | An SOS v1.0.0 Protocol for vector layers.
Properties |
fois | {Array(String)} Array of features of interest (foi)
formatOptions | {Object} Optional options for the format.
Constructor |
OpenLayers.Protocol.SOS | A class for giving layers an SOS protocol.
Functions |
destroy | Clean up the protocol.
read | Construct a request for reading new sensor positions.
handleRead | Deal with response from the read request.
parseFeatures | Read HTTP response body and return features

### Properties

### fois

{Array(String)} Array of features of interest (foi)

### formatOptions

{Object} Optional options for the format. If a format is not provided, this property can be used to extend the default format options.

### Constructor

### OpenLayers.Protocol.SOS

A class for giving layers an SOS protocol.

#### Parameters

options | {Object} Optional object whose properties will be set on the instance. Valid options properties:
url | {String} URL to send requests to (required).
fois | {Array} The features of interest (required).

### Functions

### destroy

> destroy: function()

Clean up the protocol.

### read

> read: function( | options | )

Construct a request for reading new sensor positions. This is done by issuing one GetFeatureOfInterest request.

### handleRead

> handleRead: function( | response,
> | options | )

Deal with response from the read request.

#### Parameters

response | {OpenLayers.Protocol.Response} The response object to pass to the user callback.
options | {Object} The user options passed to the read call.

### parseFeatures

> parseFeatures: function( | request | )

Read HTTP response body and return features

#### Parameters

request | {XMLHttpRequest} The request object

#### Returns

{Array({OpenLayers.Feature.Vector})} Array of features

> destroy: function()

Clean up the protocol.

> read: function( | options | )

Construct a request for reading new sensor positions.

> handleRead: function( | response,
> | options | )

Deal with response from the read request.

> parseFeatures: function( | request | )

Read HTTP response body and return features
An SOS v1.0.0 Protocol for vector layers.
Abstract vector layer protocol class.
Protocols return Response objects to their users.
Vector features use the OpenLayers.Geometry classes as geometry description.
Close